import { getAction, postAction, deleteAction } from '@/api/manage'

/** 单证 -- 预托书列表 **/

// 分页列表查询
const preBookList = params => getAction('/letterDeposit/syLetterDeposit/list', params)

// 新增
const addPreBook = params => postAction('/letterDeposit/syLetterDeposit/add', params)

// 详情
const preBookById = params => getAction('/letterDeposit/syLetterDeposit/queryById', params)

// 编辑
const editById = params => postAction('/letterDeposit/syLetterDeposit/edit', params)

//  删除
const deletePreBook = params => deleteAction('/letterDeposit/syLetterDeposit/delete', params)

// 提交
const submit = params => postAction('/letterDeposit/syLetterDeposit/syShippingDetailsSubmit', params)

// 取消提交
const cancelSubmit = params => postAction('/letterDeposit/syLetterDeposit/syShippingDetailsSubmit', params)

// 参照预装箱单
const querySyPreAssembledPackingList = params => getAction('/letterDeposit/syLetterDeposit/querySyPreAssembledPackingList', params)

export { preBookList, addPreBook, preBookById, editById, deletePreBook, submit, cancelSubmit, querySyPreAssembledPackingList }
